event::AlarmManager::Alarm Struct Reference

Alarm structure. More...

`import"AlarmManager.idl";`

## Public Attributes

string | id
| Alarm id.
string | name
| Alarm name.
string | actionId
| Corresponding action id.
vector< Alert > | alerts
| List of alerts.

## Detailed Description

Alarm structure.

An alarm has a name, a reference to its action source and a list of all alerts which created the alarm.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/AlarmManager.idl